summaryrefslogtreecommitdiff
path: root/tests/tail-2/start-middle.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/start-middle.sh')
-rwxr-xr-xtests/tail-2/start-middle.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/tail-2/start-middle.sh b/tests/tail-2/start-middle.sh
new file mode 100755
index 0000000..5a9ebfc
--- /dev/null
+++ b/tests/tail-2/start-middle.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Verify that tail works even when it's reading from a file
+# that is not at its beginning. Based on a report from John Roll.
+
+# Copyright (C) 2001-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ tail
+
+(echo 1; echo 2) > k || framework_failure_
+
+
+sh -c 'read x; tail' < k > out || fail=1
+cat <<EOF > exp
+2
+EOF
+
+compare exp out || fail=1
+
+Exit $fail